## NAME

r.to.vect - Converts a raster map into a vector map layer.

## SYNOPSIS

r.to.vect
r.to.vect help
r.to.vect [-sv] input=string output=string feature=string

### Flags:

-s
  Smooth Corners
-v
  Use raster values as categories instead of unique sequence (CELL only)

### Parameters:

input=string
  raster input file
output=string
  Name of output vector
feature=string
  Feature type
  Options: point,line,area
  Default: line

## DESCRIPTION

r.to.vect scans the named input raster map layer, extracts points, lines or area edge features from it, converts data to GRASS vector format.

### Points

The r.to.vect program extracts data from a GRASS raster map layer and stores output in a new GRASS vector file.

### Lines

r.to.vect assumes that the input map has been thinned using r.thin.

r.to.vect extracts vectors (aka, "arcs") from a raster file. These arcs may represent linear features (like roads or streams), or may represent area edge features (like political boundaries, or soil mapping units).

r.thin and r.to.vect may create excessive nodes at every junction, and may create small spurs or "dangling lines" during the thinning and vectorization process. These excessive nodes and spurs may be removed using v.clean.

### Areas

r.to.vect first traces the perimeter of each unique area in the raster map layer and creates vector data to represent it. The cell category values for the raster map layer will be used to create attribute information for the resultant vector area edge data.

A true vector tracing of the area edges might appear blocky, since the vectors outline the edges of raster data that are stored in rectangular cells. To produce a better-looking vector map, r.to.vect smoothes the corners of the vector data as they are being extracted. At each change in direction (i.e., each corner), the two midpoints of the corner cell (half the cell's height and width) are taken, and the line segment connecting them is used to outline this corner in the resultant vector file. (The cell's cornermost node is ignored.) Because vectors are smoothed by this program, the resulting vector map will not be "true" to the raster map from which it was created. The user should check the resolution of the geographic region (and the original data) to estimate the possible error introduced by smoothing.

r.to.vect extracts only area edges from the named raster input file. If the raster file contains other data (i.e., line edges, or point data) the output may be wrong.

## BUGS

For feature=line the input raster file MUST be thinned by r.thin; if not, r.line may crash.

Attributes are ignored for feature=line.

## AUTHOR

Points
Bill Brown
Lines
Mike Baba
DBA Systems, Inc.
10560 Arrowhead Drive
Fairfax, Virginia 22030
Areas
Original version of r.poly:
Jean Ezell and Andrew Heekin,
U.S. Army Construction Engineering Research Laboratory

Modified program for smoothed lines:
David Satnik, Central Washington University
Updated 2001 by Andrea Aime, Modena, Italy
Update
Original r.to.sites, r.line and r.poly merged and updated to 5.7 by Radim Blazek

Last changed: $Date: 2003/10/24 16:13:28 $

Help Index